Subject: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Mark Karpov <[email-masked]>
Date: Fri, 03 Jul 2015 18:37:55 +0600

When I manually evaluate ‘dired-buffer-stale-p’ (in «frozen» buffer) it
returns t, this function works OK. The problem is that control flow
doesn't reach second portion of messages when ‘auto-revert-handler’ is
called for Dired buffer in question. I think problem is here:

(when (or auto-revert-tail-mode (not (buffer-modified-p)))
  ...)

(or auto-revert-tail-mode (not (buffer-modified-p))) is obviously nil
when it shouldn't be nil. I don't know what ‘auto-revert-tail-mode’ is,
but its value is nil. So the problem lies in (buffer-modified-p). It's t
when it should be nil. I evaluated it for Dired buffer in question, it's
t, indeed. Is it correct behavior? What meaning does ‘buffer-modified-p’
have when current buffer is a Dired buffer? Should it ever be t in this
case?